---
title: IndexedDB
slug: Tools/Storage_Inspector/IndexedDB
tags:
  - Dev Tools
  - Firefox
  - Guide
  - IndexedDB
  - Storage
  - Storage Inspector
  - Tools
  - 'l10n:priority'
---
<div>{{ToolsSidebar}}</div>

<p>When you select an origin inside the <em>Indexed DB</em> storage type in the storage tree of the <a href="/en-US/docs/Tools/Storage_Inspector">Storage Inspector</a>, a table lists the details of all the databases present for that origin.</p>

<div class="notecard note">
<p><strong>Note</strong>: The data shown in an IndexedDB database is a snapshot of the data as it was when you opened the Storage Inspector tool.</p>
</div>

<p>Databases have the following details:</p>

<ul>
 <li><em>Database Name</em> — The name of the database.</li>
 <li><em>Storage</em> — The <a href="/en-US/docs/Web/API/IndexedDB_API/Browser_storage_limits_and_eviction_criteria#Different_types_of_data_storage">storage type</a> specified for the database.</li>
 <li><em>Origin</em> — The origin of the database.</li>
 <li><em>Version</em> — The database version.</li>
 <li><em>Object Stores</em> — The number of object stores in the database.</li>
</ul>

<p>When an IndexedDB database is selected in the storage tree, details about all the object stores are listed in the table. Any object store has the following details:</p>

<ul>
 <li><em>Object Store Name</em> — The name of the object store.</li>
 <li><em>Key</em> — The {{domxref("IDBIndex.keyPath", "keyPath")}} property of the object store.</li>
 <li><em>Auto Increment</em> — Is automatic incrementation of the keys enabled?</li>
 <li><em>Indexes</em> — Array of indexes present in the object store as shown below.</li>
</ul>

<p><img alt="" src="https://mdn.mozillademos.org/files/16812/indexed_db_details.png" style="border: 1px solid black; display: block; height: 250px; margin-left: auto; margin-right: auto; width: 926px;"></p>

<p>When an object store is selected in the storage tree, all the items in that object store are listed in the table. All items have a key and a value associated with them.</p>

<p>You can delete an IndexedDB database using the context menu in the storage tree:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16813/indexed_db_context_menu.png" style="border: 1px solid black; display: block; height: 249px; margin-left: auto; margin-right: auto; width: 924px;"></p>

<p>If the database cannot be deleted (most commonly because there are still active connections to the database), a warning message will be displayed in the Storage Inspector:<img alt="" src="https://mdn.mozillademos.org/files/16815/indexedDB_delete_warning.png" style="border: 1px solid black; display: block; height: 250px; margin: 0px auto; width: 926px;"></p>

<p>You can use the context menu in the table widget to delete all items in an object store, or a particular item:</p>

<p><img alt="" src="https://mdn.mozillademos.org/files/16814/indexed_db_table_widget_context.png" style="border: 1px solid black; display: block; height: 249px; margin-left: auto; margin-right: auto; width: 924px;"></p>
